FileThis Not Affected by Heartbleed Vulnerability

FacebookTwitterGoogle+StumbleUponRedditEmail

The FileThis.com site was not affected by the major new vulnerability called Heartbleed. While FileThis servers are using the OpenSSL cryptographic software library to guard communication, FileThis did not use the versions of the OpenSSL library that introduced the vulnerability. However, in the interests of vigilance, we have updated our Verisign security certificate for filethis.com. As the FileThis team is focused on providing the most secure experience possible for our users, our site is constantly monitored by Trustwave, McAfee Secure, and Norton Secured powered by VeriSign.

The FileThis Team